/***************************************************************************
 $RCSfile: configpage.h,v $
                             -------------------
    cvs         : $Id: configpage.h,v 1.3 2003/02/05 06:14:12 aquamaniac Exp $
    begin       : Wed Oct 09 2002
    copyright   : (C) 2002 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef CONFIGPAGE_H
#define CONFIGPAGE_H

#include <chipcard.h>
#include <chameleon/conf.h>


/**
 *
 */
class ConfigPage {
public:
    ConfigPage();
    virtual ~ConfigPage();

    virtual bool init(CONFIGGROUP *cfg)=0;
    virtual bool save(CONFIGGROUP *cfg)=0;
    virtual bool check();
    virtual bool changed()=0;
};


#endif


