/***************************************************************************
 $RCSfile: dlgkvk.h,v $
                             -------------------
    cvs         : $Id: dlgkvk.h,v 1.2 2002/12/28 04:15:38 aquamaniac Exp $
    begin       : Wed Dec 26 2001
    copyright   : (C) 2001 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLGKVK_H
#define DLGKVK_H

#include <qstring.h>
#include <string>
#include "chipcard.h"
#include "dlgkvkbase.h"


/**
 *
 */
class dlgKVK : public dlgKVKBase {
  Q_OBJECT
private:
  string _termname;

private slots:
  void slotRead();
  bool errorCheck(const string &title,
		  const string &errstr,
		  CTError err,
		  unsigned char ad=0);
public:
  dlgKVK(QWidget* parent = 0,
	 const char* name = 0,
	 bool modal = FALSE,
	 WFlags fl = 0 );
  ~dlgKVK();

  bool init();
};



#endif



